package commands

import (
	tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api/v5"
	"strings"
	"time"
	"watn3y/bloaterbotv3/botIO"
	"watn3y/bloaterbotv3/config"
)

func Commands(update tgbotapi.Update, bot *tgbotapi.BotAPI) {
	if strings.ToLower(update.Message.Command()) == "shutup" || strings.ToLower(update.Message.Command()) == "shut" {
		config.BotConfig.Shutup[update.Message.Chat.ID] = time.Now().UTC()
		msg := tgbotapi.NewMessage(update.Message.Chat.ID, "Shutting up")
		botIO.SendMessage(msg, bot)
	}
}
